Index: /pjproject/trunk/build.symbian/pjmedia_audiodev.mmp
===================================================================
--- /pjproject/trunk/build.symbian/pjmedia_audiodev.mmp	(revision 2820)
+++ /pjproject/trunk/build.symbian/pjmedia_audiodev.mmp	(revision 2821)
@@ -16,4 +16,5 @@
 SOURCE		symb_aps_dev.cpp
 SOURCE		symb_mda_dev.cpp
+SOURCE		symb_vas_dev.cpp
 
 SYSTEMINCLUDE	..\pjmedia\include
Index: /pjproject/trunk/build.symbian/symbian_ua.mmp
===================================================================
--- /pjproject/trunk/build.symbian/symbian_ua.mmp	(revision 2820)
+++ /pjproject/trunk/build.symbian/symbian_ua.mmp	(revision 2821)
@@ -52,5 +52,5 @@
 
 #if SND_HAS_VAS
-//	LIBRARY		
+	LIBRARY		VoIPAudioIntfc.lib		
 #endif
 
Index: /pjproject/trunk/build.symbian/symsndtest.mmp
===================================================================
--- /pjproject/trunk/build.symbian/symsndtest.mmp	(revision 2820)
+++ /pjproject/trunk/build.symbian/symsndtest.mmp	(revision 2821)
@@ -1,3 +1,3 @@
-#define SND_USE_APS	1
+#define SND_USE_APS	0
 #define SND_USE_VAS	0
 
@@ -29,5 +29,6 @@
 LIBRARY			esock.lib insock.lib
 STATICLIBRARY		pjlib.lib pjmedia.lib
-STATICLIBRARY		symbian_audio.lib
+STATICLIBRARY		pjmedia_audiodev.lib
+STATICLIBRARY		libresample.lib
 
 #if SND_USE_APS
@@ -35,5 +36,5 @@
 	CAPABILITY	NetworkServices LocalServices ReadUserData WriteUserData UserEnvironment MultimediaDD
 #elif SND_USE_VAS
-//	LIBRARY		
+	LIBRARY		VoIPAudioIntfc.lib
 	CAPABILITY	NetworkServices LocalServices ReadUserData WriteUserData UserEnvironment MultimediaDD
 #else
Index: /pjproject/trunk/build.symbian/symsndtest.pkg
===================================================================
--- /pjproject/trunk/build.symbian/symsndtest.pkg	(revision 2820)
+++ /pjproject/trunk/build.symbian/symsndtest.pkg	(revision 2821)
@@ -15,5 +15,5 @@
 
 ; Target
-"C:\Symbian\9.1\S60_3rd_MR\Epoc32\release\gcce\UDEB\symsndtest.exe"-"!:\sys\bin\symsndtest.exe"
-"C:\Symbian\9.1\S60_3rd_MR\Epoc32\data\z\private\10003a3f\apps\symsndtest_reg.rSC"-"!:\private\10003a3f\import\apps\symsndtest_reg.rSC"
+"$(EPOCROOT)Epoc32\release\$(PLATFORM)\$(TARGET)\symsndtest.exe"-"!:\sys\bin\symsndtest.exe"
+"$(EPOCROOT)Epoc32\data\z\private\10003a3f\apps\symsndtest_reg.rSC"-"!:\private\10003a3f\import\apps\symsndtest_reg.rSC"
 
Index: /pjproject/trunk/pjlib/include/pj/config_site_sample.h
===================================================================
--- /pjproject/trunk/pjlib/include/pj/config_site_sample.h	(revision 2820)
+++ /pjproject/trunk/pjlib/include/pj/config_site_sample.h	(revision 2821)
@@ -226,4 +226,32 @@
     #define PJMEDIA_AUDIO_DEV_HAS_SYMB_MDA	0
     #define PJMEDIA_AUDIO_DEV_HAS_SYMB_APS	1
+
+    /* Enable passthrough codec framework */
+    #define PJMEDIA_HAS_PASSTHROUGH_CODECS	1
+
+    /* And selectively enable which codecs are supported by the handset */
+    #define PJMEDIA_HAS_PASSTHROUGH_CODEC_PCMU	1
+    #define PJMEDIA_HAS_PASSTHROUGH_CODEC_PCMA	1
+    #define PJMEDIA_HAS_PASSTHROUGH_CODEC_AMR	1
+    #define PJMEDIA_HAS_PASSTHROUGH_CODEC_G729	1
+    #define PJMEDIA_HAS_PASSTHROUGH_CODEC_ILBC	1
+
+#endif
+
+
+/*
+ * Additional configuration to activate VAS-Direct feature for
+ * Nokia S60 target
+ *
+ * Please see http://trac.pjsip.org/repos/wiki/Nokia_APS_VAS_Direct
+ */
+#ifdef PJ_CONFIG_NOKIA_VAS_DIRECT
+
+    /* MUST use switchboard rather than the conference bridge */
+    #define PJMEDIA_CONF_USE_SWITCH_BOARD	1
+
+    /* Enable APS sound device backend and disable MDA */
+    #define PJMEDIA_AUDIO_DEV_HAS_SYMB_MDA	0
+    #define PJMEDIA_AUDIO_DEV_HAS_SYMB_VAS	1
 
     /* Enable passthrough codec framework */
